module MyVR
  module API
    module Photos
      def photos!
        data = get_objects("/v1/photos/")
        data.map do |photo|
          MyVR::Photo.new(photo)
        end
      end

      def photos
        @photos ||= photos!
      end

      def photo(id)
        data = get_object("/v1/photos/#{ id }/")
        MyVR::Photo.new(data)
      end
    end
  end
end
