module MyVR
  module API
    module Properties
      def properties!(search = '')
        data = get_objects("/v1/properties/", { name: search })
        data.map do |property|
          MyVR::Property.new(property)
        end
      end

      def properties(search='')
        @properties ||= properties!(search)
      end

      def property(id)
        data = get_object("/v1/properties/#{ id }/")
        MyVR::Property.new(data)
      end
    end
  end
end
