module MyVR
  module API
    module Rooms
      def rooms!
        data = get_objects("/v1/rooms/")
        data.map do |room|
          MyVR::Room.new(room)
        end
      end

      def rooms
        @rooms ||= rooms!
      end

      def room(id)
        data = get_object("/v1/rooms/#{ id }/")
        MyVR::Room.new(data)
      end
    end
  end
end
