module MyVR
  module API
    module Amenities
      def amenities!
        data = get_objects("/v1/amenities/")
        data.map do |fee|
          MyVR::Amenity.new(fee)
        end
      end

      def amenities
        @amenities ||= amenities!
      end

      def fee(id)
        data = get_object("/v1/amenities/#{ id }/")
        MyVR::Amenity.new(data)
      end
    end
  end
end
