module MyVR
  module API
    module Fees
      def fees!
        data = get_objects("/v1/fees/")
        data.map do |fee|
          MyVR::Fee.new(fee)
        end
      end

      def fees
        @fees ||= fees!
      end

      def fee(id)
        data = get_object("/v1/fees/#{ id }/")
        MyVR::Fee.new(data)
      end
    end
  end
end
