module MyVR
  module API
    module Rates
      def rates!
        data = get_objects("/v1/rates/")
        data.map do |rate|
          MyVR::Rate.new(rate)
        end
      end

      def rates
        @rates ||= rates!
      end

      def rate(id)
        data = get_object("/v1/rates/#{ id }/")
        MyVR::Rate.new(data)
      end
    end
  end
end
